Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class RowHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.RowHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.ITableRowModel

    public class RowHandle

extends ReportElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.ITableRowModel

Represents one row in a Grid or Table. Each row contains some number of cells. And one row can define its height.

See Also:
  `TableRow`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ITableRowModel
`BOOKMARK_PROP, CONTENT_SLOT, HEIGHT_PROP, ON_CREATE_METHOD, ON_PREPARE_METHOD, ON_RENDER_METHOD, STYLE_PROP, SUPPRESS_DUPLICATES_PROP, VISIBILITY_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`RowHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs the handle for a row with the given design and element.

Method Summary
`java.lang.String` | `getBookmark()` Returns the bookmark of this row.
`SlotHandle` | `getCells()` Returns the cell slot of row.
`java.lang.String` | `getEventHandleClass()` Gets a string that defines the event handle class.
`DimensionHandle` | `getHeight()` Gets a handle to deal with the row's height.
`java.lang.String` | `getOnCreate()` Gets the on-finish script of the group.
`java.lang.String` | `getOnPrepare()` Gets the on-prepare script of the group.
`java.lang.String` | `getOnRender()` Gets the on-finish script of the group.
`void` | `setBookmark(java.lang.String value)` Sets the bookmark of this row.
`void` | `setEventHandleClass(java.lang.String expr)` Sets the group expression.
`void` | `setOnCreate(java.lang.String script)` Sets the on-create script of the group element.
`void` | `setOnPrepare(java.lang.String script)` Sets the on-prepare script of the group element.
`void` | `setOnRender(java.lang.String script)` Sets the on-render script of the group element.
`void` | `setSuppressDuplicates(boolean value)` Sets the flag whether to suppress duplicates rows with same content.
`boolean` | `suppressDuplicates()` Tests whether to suppress duplicates rows with same content.
`java.util.Iterator` | `visibilityRulesIterator()` Returns visibility rules defined on the table row.

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setEncryption, setEventHandlerClass, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNumberProperty, setProperties, setProperty, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowHandle

    public RowHandle(org.eclipse.birt.report.model.core.Module module,
                     org.eclipse.birt.report.model.core.DesignElement element)

  Constructs the handle for a row with the given design and element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getCells

    public SlotHandle getCells()

  Returns the cell slot of row. Through SlotHandle, each cell can be obtained.

  Returns:
    the handle to the cell slot
  See Also:
    `SlotHandle`

### getHeight

    public DimensionHandle getHeight()

  Gets a handle to deal with the row's height.

  Returns:
    a DimensionHandle for the row's height.

### getBookmark

    public java.lang.String getBookmark()

  Returns the bookmark of this row.

  Returns:
    the bookmark of this row

### setBookmark

    public void setBookmark(java.lang.String value)
                     throws SemanticException

  Sets the bookmark of this row.

  Parameters:
    `value` - the bookmark to set
  Throws:
    `SemanticException` - if the property is locked.

### visibilityRulesIterator

    public java.util.Iterator visibilityRulesIterator()

  Returns visibility rules defined on the table row. The element in the iterator is the corresponding `StructureHandle` that deal with a `Hide` in the list.

  Returns:
    the iterator for visibility rules defined on this row.
  See Also:
    `HideRule`

### getOnPrepare

    public java.lang.String getOnPrepare()

  Gets the on-prepare script of the group. Startup phase. No data binding yet. The design of an element can be changed here.

  Returns:
    the on-prepare script of the group

### getOnCreate

    public java.lang.String getOnCreate()

  Gets the on-finish script of the group. Presentation phase. The report item has been read from the report document, but not sent to emitter yet.

  Returns:
    the on-finish script of the group

### getOnRender

    public java.lang.String getOnRender()

  Gets the on-finish script of the group. Presentation phase. The report item has been read from the report document, but not sent to emitter yet.

  Returns:
    the on-finish script of the group

### setOnPrepare

    public void setOnPrepare(java.lang.String script)
                      throws SemanticException

  Sets the on-prepare script of the group element.

  Parameters:
    `script` - the script to set
  Throws:
    `SemanticException` - if the method is locked.
  See Also:
    `getOnPrepare()`

### setOnCreate

    public void setOnCreate(java.lang.String script)
                     throws SemanticException

  Sets the on-create script of the group element.

  Parameters:
    `script` - the script to set
  Throws:
    `SemanticException` - if the method is locked.
  See Also:
    `getOnCreate()`

### setOnRender

    public void setOnRender(java.lang.String script)
                     throws SemanticException

  Sets the on-render script of the group element.

  Parameters:
    `script` - the script to set
  Throws:
    `SemanticException` - if the method is locked.
  See Also:
    `getOnRender()`

### getEventHandleClass

    public java.lang.String getEventHandleClass()

  Gets a string that defines the event handle class.

  Returns:
    the expression as a string
  See Also:
    `setEventHandleClass(String)`

### setEventHandleClass

    public void setEventHandleClass(java.lang.String expr)
                             throws SemanticException

  Sets the group expression.

  Parameters:
    `expr` - the expression to set
  Throws:
    `SemanticException` - If the expression is invalid.
  See Also:
    `getEventHandleClass()`

### suppressDuplicates

    public boolean suppressDuplicates()

  Tests whether to suppress duplicates rows with same content.

  Returns:
    `true` if suppress duplicates rows with same content, otherwise `false`.
  See Also:
    `setSuppressDuplicates(boolean)`

### setSuppressDuplicates

    public void setSuppressDuplicates(boolean value)
                               throws SemanticException

  Sets the flag whether to suppress duplicates rows with same content.

  Parameters:
    `value` - `true` if suppress duplicates rows with same content, otherwise `false`.
  Throws:
    `SemanticException` - If the expression is invalid.
  See Also:
    `suppressDuplicates()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.